Get Events Meta

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Metadata refers to information about data. This API retrieves metadata for a specified event by using the event name. It fetches the details of the event's schema or structure as defined during its creation, detailing the various fields and their attributes.

Example request

curl --location 'https://eu.api.capillarytech.com/v2/events/meta?event_name=Event_Rutuja' \
--header 'Authorization: Basic bWFkaHjU2YQ==' \
--header 'Cookie: _cfuvid=RY6QOmEmXhlkpkYzUT5aGlkDXWcSpLGwMXEa7suetWY-1719207183918-0.0.1.1-604800000; _cfuvid=yWiDF4a0reOBPItfUk9t6CNMWJz3YZCMhRE5lfMrHXQ-1758800023218-0.0.1.1-604800000'

Prerequisites

  • Authentication: Basic or OAuth credentials
  • Access group resource: Read access on Behavioural Events resource

Resource information

URI/events/meta
HTTP methodGET
Pagination supported?NA
Rate limitNA
Batch supportNA

Query parameter

Parameter (Parameters marked with * are mandatory)Description
event_name*Name of the event for which the metadata is retrieved.

Example response

{
    "clickEventsMeta": {
        "eventId": "dbfca3b86bd501fa6fa92b0c682b8f58",
        "eventName": "Event_Rutuja",
        "actions": [
            "EIConsumer"
        ],
        "fields": [
            {
                "name": "customer",
                "type": "CUSTOMER",
                "attributes": {
                    "accountId": {
                        "valueType": "ENUM"
                    },
                    "addCustomerIfNotExists": {
                        "value": "false",
                        "valueType": "Boolean"
                    },
                    "identifierType": {
                        "value": "mobile",
                        "valueType": "ENUM"
                    },
                    "isRequired": {
                        "value": "true",
                        "valueType": "BOOLEAN"
                    },
                    "source": {
                        "value": "INSTORE",
                        "valueType": "ENUM"
                    }
                }
            },
            {
                "name": "String",
                "type": "TILLCODE",
                "attributes": {
                    "isRequired": {
                        "value": "false",
                        "valueType": "Boolean"
                    },
                    "isUniqueKeyField": {
                        "value": "false",
                        "valueType": "BOOLEAN"
                    }
                }
            }
        ],
        "orgId": 100737,
        "status": "PUBLISHED",
        "testStatus": "VERIFIED",
        "connectedOrgContext": {
            "orgType": "STANDARD_ORG"
        },
        "date": 1758800023162,
        "standardEvent": false
    },
    "transformerMappings": {
        "defaultTransformerMapping": null,
        "webEngageTransformerMapping": null
    },
    "warnings": []
}

Response parameters

ParameterDatatypeDescription
clickEventsMetaObjectObject containing metadata related to the event.
-eventIdStringUnique identifier generated for the event at the time of its creation.
-eventNameStringName of the event.
-eventTypeStringSpecifies what the event is related to. Values: USEREVENT, PRODUCTEVENT, COUPONEVENT
-actionsObjectObject containing a list of event handlers that process the event.
-fieldsObjectObject containing the details of the fields of the event.
-- nameStringName of the field.
-- typeStringData type or data related to the field. Example: STRING, DOUBLE, CUSTOMER
-- attributesObjectAttributes associated with the field.
--- accountIdObjectObject containing customer account-related information for the field.
---- valueTypeStringData type of the accountId field value. For example, Boolean, Enum, String.
--- addCustomerIfNotExistsObjectObject containing information for adding customers if they do not exist.
---- valueBooleanSpecifies if customers should be added if they do not exist. Values: True - If customers do not exist, they are created.
False - If customers do not exist, they are not created.
---- valueTypeStringData type of the addCustomerIfNotExists field value. For example, Boolean, Enum, String.
--- identifierTypeObjectContains information on customer identifier type.
---- valueStringCustomer identifier name.
---- valueTypeStringData type of the identifierType field value. For example, Boolean, Enum, String.
--- isRequiredObjectObject containing information on whether the field is mandatory.
---- valueBooleanIndicates if the field is mandatory. Values: True - Required, False - Not required.
---- valueTypeStringData type of the isRequired field value. For example, Boolean, Enum, String.
--- sourceObjectContains information on the source of customer creation.
---- valueStringSource of customer creation.
---- valueTypeStringData type of the source field value. For example, Boolean, Enum, String.
--- isPsiDataObject

Object indicating if the field contains Protected Sensitive Information. For more information refer,

Classify Potentially Sensitive Information (PSI)

---- valueBooleanIndicates if PSI is present. Values: True - PSI present, False - No PSI.
---- valueTypeStringValue indicating if Protected Sensitive Information is present. Values: True - PSI present, False - No PSI.
--- isUniqueKeyFieldObject

Object containing information on isUniqueKeyField attribute. Enable to make the attribute a part of a unique key. By default, the event name and customer identifier are included in the unique key. When the isuniquekeyfield attribute is enabled, it is added to the unique key with the event name and customer identifier. This ensures that the combination of these elements remains unique and consistent. Refer

Enabling uniqueness check

for more details.

---- valueBooleanValue indicating if the field is a unique key field. Values: True - Part of unique key, False - Not part of unique key.
---- valueTypeStringData type of the isUniqueKeyField field value. For example, Boolean, Enum, String.
--- regexObjectObject containing information for regex.
---- valueTypeStringData type of the regex field value. For example, Boolean, Enum, String.
--- possibleValuesObjectObject containing the possible values for the field.
---- valueTypeStringData type of the possibleValues field value. For example, Boolean, Enum, String.
---- valuesEnumList of possible values.
-orgIdIntegerOrganisation ID for which the events are created.
-statusStringIndicates if the event is published.
-testStatusStringIndicates if the event is verified for data flow.
-labelStringDisplay name of the event.
-descriptionStringDescription of the event.
-dateLongTimestamp for the event in UNIX epoch format.
-standardEventBoolean

Indicates if the event is standard or custom. True - Standard event,
False - Custom event. For more information refer,

Types of Behavioral Events

transformerMappingsObject

Object containing information on field mapping. For more information, refer to

Transformer

-defaultTransformerMappingObjectObject containing information on default field mapping.
-webEngageTransformerMappingObject

Object containing information on mapping for WebEngage. For more information see,

WebEngage

.

warningsObjectObject containing a list of warning messages, if any.

Error codes

Error codeDescription
404Not found. The api endpoint url is incorrect.

Query Params
string
required
Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json